| AesDkCrypto | This class provides the implementation of AES Encryption for Kerberos as defined RFC 3962. |
| ArcFourCrypto | Support for ArcFour in Kerberos as defined in RFC 4757. |
| Des3DkCrypto | |
| DkCrypto | Implements Derive Key cryptography functionality as defined in RFC 3961. |